@extends("layouts.app")

@section("content")
<h1>{{$author->name}}</h1>
<p>
	<div>Описание автора:</div>
	<div>{{$author->description ?? "N/A"}}</div>
</p>
<p>
	<a href="/author/{{ $author->id }}/edit">Редактировать</a> | <a href="/author/{{ $author->id }}/delete">Удалить</a>
</p>
<p>
	<div>Книги автора:</div>
	<table>
	<tr>
		<th>Название</th>
		<th>ISBN</th>
		<th>Год</th>
		<th>Страниц</th>
	</tr>
	@foreach ($author->books as $row)
		<tr>
			<td><a href="/book/{{$row->id}}">{{$row->name}}</a></td>
			<td>{{$row->isbn}}</td>
			<td>{{$row->year}}</td>
			<td>{{$row->pagecount}}</td>
		</tr>
	@endforeach
	</table>
</p>
<p>
<div>Добавить комментарий:</div>
@include("include.comment_form", ["comment_form_target" => "/author/$author->id/comment"])
</p>
<p>
<h3>Комментарии:</h3>
@include("include.comments", ["comments" => $author->comments])
</p>
@endsection
